/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   pipex.h                                            :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: erey-bet <marvin@42.fr>                    +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2023/01/11 15:33:34 by erey-bet          #+#    #+#             */
/*   Updated: 2023/03/21 15:56:50 by erey-bet         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#ifndef PIPEX_H
# define PIPEX_H

# include "../libft/libft.h"
# include "../get_next_line/get_next_line.h"
# include <fcntl.h>
# include <unistd.h>
# include <sys/types.h>
# include <sys/wait.h>

typedef struct s_data
{
	char	*cmd1;
	char	**flg1;
	int		fd1;
	char	*cmd2;
	char	**flg2;
	int		fd2;
	char	**env;
}	t_data;

int		get_next(char *cmd, char c);
int		print_error(int type, char *error);
char	*get_command(char *cmd);
int		parsing(char *argv[], t_data *data);
char	*test_acces(char **s, char **cmd, char **path, int *y);
char	*cmd_exist(char **env, char **cmd, int y, char **s);
char	*find_command(char **env, char *cmd);
int		finds_commands(char *argv[], char **env, char **cmd1, char **cmd2);

#endif
